[PATCH] D77363: Use git-clang-format as Arcanist linter

Mehdi AMINI via Phabricator via llvm-commits llvm-commits at lists.llvm.org
Thu Apr 2 22:13:33 PDT 2020


This revision was automatically updated to reflect the committed changes.
Closed by commit rG31b6e182f2ce: Use git-clang-format as Arcanist linter (authored by starsid, committed by mehdi_amini).

Repository:
  rG LLVM Github Monorepo

CHANGES SINCE LAST ACTION
  https://reviews.llvm.org/D77363/new/

https://reviews.llvm.org/D77363

Files:
  utils/arcanist/clang-format.sh


Index: utils/arcanist/clang-format.sh
===================================================================
--- utils/arcanist/clang-format.sh
+++ utils/arcanist/clang-format.sh
@@ -10,11 +10,11 @@
 
 # To skip running all linters when creating/updating a diff, use `arc diff --nolint`.
 
-if ! hash clang-format-diff >/dev/null; then
+if ! hash git-clang-format >/dev/null; then
   # advice severity level is completely non-disruptive.
   # switch to warning or error if you want to prompt the user.
   echo "advice"
-  echo "clang-format-diff not found in user's PATH; not linting file."
+  echo "git-clang-format not found in user's PATH; not linting file."
   echo "===="
   exit 0
 fi
@@ -37,13 +37,13 @@
 
 # Arcanist can filter out lint messages for unchanged lines, but for that, we
 # need to generate line by line lint messages. Instead, we generate one lint
-# message on line 1, char 1 with file content edited using clang-format-diff.
+# message on line 1, char 1 with file content edited using git-clang-format.
 if git rev-parse --git-dir >/dev/null; then
   arc_base_commit=$(arc which --show-base)
   # An alternative is to use git-clang-format.
-  git diff -U0 --no-color "${arc_base_commit}"| clang-format-diff -style LLVM -i -p1
+  >&2 git-clang-format --quiet --force --style LLVM "${arc_base_commit}"
 else
-  svn diff --diff-cmd=diff -x -U0 "${src_file}" | clang-format-diff -style LLVM -i
+  >&2 echo "repo is expected to be a git directory"
 fi
 
 cp -p "${src_file}" "${formatted_file}"


-------------- next part --------------
A non-text attachment was scrubbed...
Name: D77363.254707.patch
Type: text/x-patch
Size: 1511 bytes
Desc: not available
URL: <http://lists.llvm.org/pipermail/llvm-commits/attachments/20200403/91d2a135/attachment.bin>


More information about the llvm-commits mailing list